/*
 * Defines.h
 *
 *  Created on: Oct 18, 2009
 *      Author: chwolfe2
 */

#ifndef DEFINES_H_
#define DEFINES_H_
#pragma pack(1)

typedef int boolean;
#define true 1
#define false 0
#define TRUE 1
#define FALSE 0

#define forever 1
#define never 0

typedef int StatusCode;
#define SUCCESS 0
#define FAILURE 1
#define NOT_READY 2

#define statusString(s) ((s==SUCCESS) ? "SUCCESS" : ((s==FAILURE) ? "FAILURE" : "NOT_READY"))

#define EXIT_CODE_FAIL           0x00
#define EXIT_CODE_FLUSH_DATA     0x01
#define EXIT_CODE_FLUSH_LOG      0x08
#define EXIT_CODE_FLUSH_SCHEDULE 0x04
#define EXIT_CODE_FLUSH_CONFIG   0x02
#define EXIT_CODE_SHUTDOWN       0x10
#define EXIT_CODE_REBOOT         0x20


#endif /* DEFINES_H_ */
