/*
 * Log.h
 *
 *  Created on: Oct 29, 2009
 *      Author: chwolfe2
 */

#ifndef LOG_H_
#define LOG_H_

#include "Defines.h"
#include <stdio.h>
#include <stdarg.h>

#define LOGFILENAME "/LWA/database/logDb.gdbm"

StatusCode Log_Initialize(boolean clear);
StatusCode Log_Add(char* logentryFormat, ...);
StatusCode Log_GetCount(int * count);
StatusCode Log_GetEntry(int whichEntry, char* result);
StatusCode Log_DumpToFile(FILE * stream);

void Log_Close();


#endif /* LOG_H_ */
